/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.11  */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"

/* Aplication Options string */
const char ApOptions[] =
	AB_OPTIONS "f:"; /* Add your options in the "" */

char *filename = NULL;
FILE *logfile = NULL;

int
startup( int argc, char *argv[] )

	{
	char c;
	
	/* eliminate 'unreferenced' warnings */
	argc = argc, argv = argv;

	while ((( c = getopt( argc, argv, ApOptions) ) & 255) != 255) {
		switch( c ) {
			case 'f':	filename = strdup(optarg);
						printf("Output file ==%s=\n",filename);
						break;
			default:	printf("Unknown option %c\n",c);
						break;
		}
	}

	if (filename) {
		logfile = fopen(filename,"w");
		if (logfile == NULL) {
			printf("Could not open %s for writing\n",filename);
		}
	}
	
	return( Pt_CONTINUE );

	}

